For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assigns Tags To The Invoice

Faturaya etiket atama yapılır.

put
Authorizations
HTTPRequired

API Key Giriniz

Body
DocumentUUIDstring · uuidOptional
Tagsstring · uuid[] · nullableOptional
Responses
200

Faturaya etiket atama yapılır.

application/json
booleanOptional
put/Sale/Tags
PUT /einvoice/Sale/Tags HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 103

{
  "DocumentUUID": "123e4567-e89b-12d3-a456-426614174000",
  "Tags": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
true
var options = new RestClientOptions("https://apitest.nilvera.com")
{
    MaxTimeout = -1
};
var client = new RestClient(options);
var request = new RestRequest("/einvoice/Sale/Tags", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer <API KEY>");

var body = @"{
    ""DocumentUUID"": ""3fa85f64-5717-4562-b3fc-2c963f66afa6"",
    ""Tags"": [
        ""3fa85f64-5717-4562-b3fc-2c963f66afa6""
    ]
}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/einvoice/Sale/Tags',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "DocumentUUID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "Tags": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: Bearer <API KEY>'
  ),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;

Last updated